lkml.org 
[lkml]   [2017]   [May]   [19]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 4/4] Hyper-V vPCI: use vPCI protocol version 1.2
On Fri, 19 May 2017 14:27:01 +0300
Dan Carpenter <dan.carpenter@oracle.com> wrote:

> > /*
> > + * HV_VP_SET available
> > + */
> > +#define HV_X64_EX_PROCESSOR_MASKS_RECOMMENDED (1 << 11)
>
> Use BIT(11). I thought checkpatch.pl complains about this but I guess
> that's only with the --strict option.

Since all the other field values are encoded as shifts, doing something
different for this field stands out. Therefore just use (1 << 11)
or change all the previous values using BIT() macro

\
 
 \ /
  Last update: 2017-05-19 17:22    [W:0.069 / U:6.280 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site